### executor_arg_t

A special type, similar to std::nothrow_t, used to disambiguate constructors that accept executor arguments.

    struct executor_arg_t

##### Member Functions

Name | Description
--- | ---
executor_arg_t [constructor] | Constructor.

The `executor_arg_t` struct is an empty structure type used as a unique type to disambiguate constructor and function overloading. Specifically, some types have constructors with `executor_arg_t` as the first argument, immediately followed by an argument of a type that satisfies the Executor type requirements.

##### Requirements

Header: `asio/uses_executor.hpp`

Convenience header: `asio.hpp`